Guardar las variantes de un producto
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/products/{product_id}/variants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"options": [
{
"name": "<string>",
"previous_name": "<string>"
}
],
"remove_options": [
"<string>"
],
"rename_option_values": [
{
"option": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"option_values": {},
"sku": "<string>",
"barcode": "<string>",
"supplier_sku": "<string>",
"cost": 1,
"price": 1,
"promotional_price": 1,
"metafields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"remove_variants": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/products/{product_id}/variants"
payload = {
"options": [
{
"name": "<string>",
"previous_name": "<string>"
}
],
"remove_options": ["<string>"],
"rename_option_values": [
{
"option": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"option_values": {},
"sku": "<string>",
"barcode": "<string>",
"supplier_sku": "<string>",
"cost": 1,
"price": 1,
"promotional_price": 1,
"metafields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"remove_variants": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
options: [{name: '<string>', previous_name: '<string>'}],
remove_options: ['<string>'],
rename_option_values: [{option: '<string>', from: '<string>', to: '<string>'}],
variants: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
option_values: {},
sku: '<string>',
barcode: '<string>',
supplier_sku: '<string>',
cost: 1,
price: 1,
promotional_price: 1,
metafields: [{key: '<string>', value: '<string>'}]
}
],
remove_variants: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.lapyme.com.ar/api/v1/products/{product_id}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/products/{product_id}/variants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'options' => [
[
'name' => '<string>',
'previous_name' => '<string>'
]
],
'remove_options' => [
'<string>'
],
'rename_option_values' => [
[
'option' => '<string>',
'from' => '<string>',
'to' => '<string>'
]
],
'variants' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'option_values' => [
],
'sku' => '<string>',
'barcode' => '<string>',
'supplier_sku' => '<string>',
'cost' => 1,
'price' => 1,
'promotional_price' => 1,
'metafields' => [
[
'key' => '<string>',
'value' => '<string>'
]
]
]
],
'remove_variants' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/products/{product_id}/variants"
payload := strings.NewReader("{\n \"options\": [\n {\n \"name\": \"<string>\",\n \"previous_name\": \"<string>\"\n }\n ],\n \"remove_options\": [\n \"<string>\"\n ],\n \"rename_option_values\": [\n {\n \"option\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n }\n ],\n \"variants\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"option_values\": {},\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"supplier_sku\": \"<string>\",\n \"cost\": 1,\n \"price\": 1,\n \"promotional_price\": 1,\n \"metafields\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"remove_variants\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.lapyme.com.ar/api/v1/products/{product_id}/variants")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"options\": [\n {\n \"name\": \"<string>\",\n \"previous_name\": \"<string>\"\n }\n ],\n \"remove_options\": [\n \"<string>\"\n ],\n \"rename_option_values\": [\n {\n \"option\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n }\n ],\n \"variants\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"option_values\": {},\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"supplier_sku\": \"<string>\",\n \"cost\": 1,\n \"price\": 1,\n \"promotional_price\": 1,\n \"metafields\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"remove_variants\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/products/{product_id}/variants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"options\": [\n {\n \"name\": \"<string>\",\n \"previous_name\": \"<string>\"\n }\n ],\n \"remove_options\": [\n \"<string>\"\n ],\n \"rename_option_values\": [\n {\n \"option\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n }\n ],\n \"variants\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"option_values\": {},\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"supplier_sku\": \"<string>\",\n \"cost\": 1,\n \"price\": 1,\n \"promotional_price\": 1,\n \"metafields\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"remove_variants\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "product_variant_matrix",
"created_count": 123,
"idempotent_replay": true,
"cost_conversions": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"functional_cost": 1,
"exchange_rate": 1,
"rate_source": "explicit",
"rate_date": "<string>"
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"option_values": {},
"metafields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"removed": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "deleted"
}
]
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Matriz inválida o componente de combo activo",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Autenticación requerida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Sin permiso para modificar productos",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Producto no encontrado",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Clave de idempotencia usada con otro cuerpo",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "No se pudo guardar la matriz",
"retryable": false,
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Guardar las variantes de un producto
Guarda opciones y variantes en una transacción. Las variantes omitidas se conservan. Solo remove_variants retira variantes. variants[].metafields guarda los campos personalizados de cada variante por key; value null borra el valor. Incluí Idempotency-Key.
PUT
/
api
/
v1
/
products
/
{product_id}
/
variants
Guardar las variantes de un producto
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/products/{product_id}/variants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"options": [
{
"name": "<string>",
"previous_name": "<string>"
}
],
"remove_options": [
"<string>"
],
"rename_option_values": [
{
"option": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"option_values": {},
"sku": "<string>",
"barcode": "<string>",
"supplier_sku": "<string>",
"cost": 1,
"price": 1,
"promotional_price": 1,
"metafields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"remove_variants": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/products/{product_id}/variants"
payload = {
"options": [
{
"name": "<string>",
"previous_name": "<string>"
}
],
"remove_options": ["<string>"],
"rename_option_values": [
{
"option": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"option_values": {},
"sku": "<string>",
"barcode": "<string>",
"supplier_sku": "<string>",
"cost": 1,
"price": 1,
"promotional_price": 1,
"metafields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"remove_variants": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
options: [{name: '<string>', previous_name: '<string>'}],
remove_options: ['<string>'],
rename_option_values: [{option: '<string>', from: '<string>', to: '<string>'}],
variants: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
option_values: {},
sku: '<string>',
barcode: '<string>',
supplier_sku: '<string>',
cost: 1,
price: 1,
promotional_price: 1,
metafields: [{key: '<string>', value: '<string>'}]
}
],
remove_variants: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.lapyme.com.ar/api/v1/products/{product_id}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/products/{product_id}/variants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'options' => [
[
'name' => '<string>',
'previous_name' => '<string>'
]
],
'remove_options' => [
'<string>'
],
'rename_option_values' => [
[
'option' => '<string>',
'from' => '<string>',
'to' => '<string>'
]
],
'variants' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'option_values' => [
],
'sku' => '<string>',
'barcode' => '<string>',
'supplier_sku' => '<string>',
'cost' => 1,
'price' => 1,
'promotional_price' => 1,
'metafields' => [
[
'key' => '<string>',
'value' => '<string>'
]
]
]
],
'remove_variants' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/products/{product_id}/variants"
payload := strings.NewReader("{\n \"options\": [\n {\n \"name\": \"<string>\",\n \"previous_name\": \"<string>\"\n }\n ],\n \"remove_options\": [\n \"<string>\"\n ],\n \"rename_option_values\": [\n {\n \"option\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n }\n ],\n \"variants\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"option_values\": {},\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"supplier_sku\": \"<string>\",\n \"cost\": 1,\n \"price\": 1,\n \"promotional_price\": 1,\n \"metafields\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"remove_variants\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.lapyme.com.ar/api/v1/products/{product_id}/variants")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"options\": [\n {\n \"name\": \"<string>\",\n \"previous_name\": \"<string>\"\n }\n ],\n \"remove_options\": [\n \"<string>\"\n ],\n \"rename_option_values\": [\n {\n \"option\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n }\n ],\n \"variants\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"option_values\": {},\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"supplier_sku\": \"<string>\",\n \"cost\": 1,\n \"price\": 1,\n \"promotional_price\": 1,\n \"metafields\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"remove_variants\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/products/{product_id}/variants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"options\": [\n {\n \"name\": \"<string>\",\n \"previous_name\": \"<string>\"\n }\n ],\n \"remove_options\": [\n \"<string>\"\n ],\n \"rename_option_values\": [\n {\n \"option\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": \"<string>\"\n }\n ],\n \"variants\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"option_values\": {},\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"supplier_sku\": \"<string>\",\n \"cost\": 1,\n \"price\": 1,\n \"promotional_price\": 1,\n \"metafields\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n }\n ],\n \"remove_variants\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "product_variant_matrix",
"created_count": 123,
"idempotent_replay": true,
"cost_conversions": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"functional_cost": 1,
"exchange_rate": 1,
"rate_source": "explicit",
"rate_date": "<string>"
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"option_values": {},
"metafields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"removed": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "deleted"
}
]
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Matriz inválida o componente de combo activo",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Autenticación requerida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Sin permiso para modificar productos",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Producto no encontrado",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Clave de idempotencia usada con otro cuerpo",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "No se pudo guardar la matriz",
"retryable": false,
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Authorizations
Body
application/json
Was this page helpful?

